Introducing UCON V4
Introduction

For many years, system configuration for complex router systems has been
difficult. Configuration software mirrored closely the hardware it configured
but offered little in the way of system overview, understandable user interface,
and error checking between devices editing in the system.

UCON V4 has been created to help address these problems. The UCON
V4 Interface has been designed to assist the user in understanding and
configuring systems quickly and easily.


Contacting Us
Webmail to


Technical Support
Utah Scientific Technical Support

mail to


File Menu
File menu commands

The File menu offers the following commands:
New
a new configuration. This is a working file that is saved as a document to the disk. It is not the same as a configuration document to be imported/exported or to be sent to/received from the target system.
Open
Opens an existing configuration document. This is a working file that is saved as a document to the disk. It is not the same as a configuration document to be imported/exported or to be sent to/received from the target system.
Save
Saves an opened document using the same file name. This is a working file that is saved as a document to the disk. It is not the same as a configuration document to be imported/exported or to be sent to/received from the target system.
Save As
Saves an opened document to a specified file name. This is a working file that is saved as a document to the disk. It is not the same as a configuration document to be imported/exported or to be sent to/received from the target system.
Set Delete Temp File Settings
All files that are programmed into the controller and panels are saved to c:\usi\temp. These files can be cleared manually or set to clear automatically.
The automatic setting will clear the files upon Ucon startup. This menu item is where you will check it for either operation.
Delete Temp File

Click this item to manually delete temp files. Note: This will only be active if the setting was set to manual. If set to automatic then it will be grayed out.
Exit
Exits UCON V4.


View menu


Toolbar

Click this item to select and deselect the tool bar located at the top of the application.


Status Bar

Click this item to select and deselect the status bar located at the bottom of the application.


Small Icons View

Click this item to change the size of the icons on the System screen.


View SRC-Destination Device Description

Click this item to select and deselect the fly over view of the description that is given to each device in the source and destination table. When this is enabled, slide the mouse curser over any source or destination that has been given a description and it will show this without having to open the individual source or destination device.


Enable New Group Added Message

Click this item to select or deselect the option to have the system notify a message any time a new device group name is added to the source or destination table.


View Device Description

Click this to select and deselect the view of the panel and SC4 device description. From the 'Devices Info' table, device descriptions for each device can be typed in. These will show up below the device on the system screen if this is selected.


Program menu


Send Configurations to All Devices

This is equivalent to the large yellow P button on the tool bar. When this is selected, it will program all the devices that are on the 'System' screen that do not have a red box around them. To view the programming progress and any related messages, go to the lower left of the application and click the 'Program' tab.


Send Config to Panels Only

This is equivalent to the red and blue 'PAN' button on the toolbar. When this is selected, it will program all of the panels on the 'System' screen that do not have a red box around them. To view the programming progress and any related messages, go to the lower left of the application and click the 'Program' tab.


Setup Transfer Parameters

Select this and in the 'Mount Point IP Address' area, type the IP address of the computer that this UCONV4 application is running on. The IP may appear in the provided window view. Note: The computer must be plugged into the LAN.


Broadcast Subnet

Click this to view and select the correct subnet that the SC4 is located on. This is generally only necessary if there are more than one network card on the computer and all are enabled.


Setup Predefined

This selection provides SC-4 control by assigning a name and address to the selected device. This will enable the routing protocol by allowing U-CON control of devices that are not on the local network.


Data Store menu

Data Store


Add Controller

If a new data store is being created, then click this item to add the controller. This can only be added as a new device, so if one already exists on the screen, it will not allow another to be created. This is equivalent to the item in the top right corner called 'NEW SC-4'.


Add Panel

Click this item to create a new panel. This is equivalent to the item in the top right corner called 'New Panel'. When this is selected, put the desired panel name in the first pane and then click 'OK'. Then in the next selection window that comes up, click on the panel type that is being added. ED.


Show Content

This will display the current data store location and all its contents.


Master Control menu


Master Control Configuration

This is the only item in this menu. Click this to display any Master Control channels and any Master Control Panels that are being used with this system. Click the desired channel or control panel and it will display the network parameters associated with that device. Click the 'Refresh' button to re acquire the network devices again.


SC-4 Data menu


Import SC-4 Config File

This function is used to add an SC4 config file that was retrieved using the USI Install Utility. Note: This can only be used if there is not an SC4 already defined in the data store 'System' screen. (See details in Chapter 2 of this guide for importing a configuration into the UCONV4 application.


Clear SC-4 Hardware Profile

Use this item to clear out the current status for the hardware seen in the RMAN application that is used with the SC4. This can be done at any time. It will not interfere with any current connection on any of the routers or master control channels.


Update SC-4 Hardware Profile

This item will reacquire the hardware status and capture a new view of the router hardware that is attached to the SC4.


Get SC-4 Hardware Profile

This selection allows for the inputting of descriptions for hardware devices that are within the SC-4's group. Using this command, the user can identify individual chassis occupying specific racks as an accurate means of identifying hardware components.


Device Action

Right, or double clicking any device on the screen allows relevant operations on that device. As the figure below shows, the user can configure the device, program the device, verify the programming information for the device, delete the device, and get informati on on the device. You can retrieve device information, edit the configuration, delete the device for the document (and the Datastore if needed), etc. In addition, there is a copy and paste function that allows copying a configuration from one device to another to assist in quickly configuring similar devices. There is also a special paste function that copies only the sources to keep from overwriting the destination assignment for the target device.


Dockable Assignment Windows

On the right-hand side of the screen you will find detachable windows containing information pertaining to the screen being viewed in the main screen. If the system view is displayed, these windows contain items that can be added to the configuration. The top window contains entries for new devices that do not yet exist anywhere in the system.

Its main purpose is for working offline in creating programming that will later go into the actual router devices.

Note: Although all devices will appear within the above dialog, the only devices that can currently be configured and programmed from U-CON V4 are those found in the "Router Devices" section. These would include the SC-4/SC-400 and all router control panels. All other devices (such as ESI-2020, MCP-2020, etc.) will only appear as devices on the Network.


Active Devices on Local Network

The bottom window contains all devices that are currently available on the local network connected to the PC running U-CON V4. This device list also includes devices that are connected only to the System controller so that all devices in a system can be recognized by U-CON V4.


Button Function List

When any panel editor is open, these windows list all source and destination devices that can be assigned to the appropriate buttons on the panel. In addition, UCP panels have the ability to assign a different function to individual buttons (other than the default). For these editors, a third window is provided with a list of valid functions.


System Requirements

Proper operation of the U-CON V4 utility includes the following:


Program Button

In addition to the standard WindowsTM task functions such as Save, Print, etc., there are four buttons at the end of the tool bar relating to U-CON V4 operation. The first one is the Program button.

This button is used to actually program all devices listed in the current configuration, or in the current document. This is essentially all devices visible on the main system screen.


Program Panel Button

The Program Panel button is similar to the Program button, but will program only the panels listed in the system, ignoring the system controller.


Program Screen

Program

The Program screen shows the progress bar for each device actually being programmed.


Verify Button

The Verify button is used to simply verify that the programming for all devices matches the configuration stored by U-CON V4.


System Page (Tab)

The System Page will be displayed when U-CON V4 is started and a Data Store has been opened. (If no Data Store is open, the U-CON V4 icon will appear by itself, without any other icons present.

This System page contains all devices that are specified in the current configuration. This information can be likened to a "Document" in traditional windows usage. It lists all devices that can be "edited" or configured and programmed. Configurations for the various devices are stored in a common database referred to as a "Datastore". The Datastore will be discussed in the next section.

You can also display the icons (above figure) as smaller versions, by selecting Small Icon View from the View menu.


Destination

Like the Source screen, the Destination screen contains destination names and assigned physical output numbers under their respective level column. Outputs can be added or removed from this table using the edit buttons at the right of the table.

When a configuration editor is initiated for any particular device on the main screen, a tab is created for that editor until the editor is closed. Switching to any of these windows is allowed at any time.


Source

The Source screen contains source names and assigned physical input numbers under their respective level column. Inputs can be added or removed from this table using the edit buttons at the right of the table.


Backup Datastore

This option backs up the current datastore into the Backup Directory that was configured in the DataStore Settings. Each datastore that is backed up can be retrieved later.


Set Backup Datastore Settings

This allows you to schedule U-CON V4's datastore backup.

Each time one of the above events occurs the datastore will be backed up. You can also configure where on the disk these files can be saved.


On Select From Menu

This selection should always be checked. When checked, a backup of your datastore will be placed in a separate location. This location is completely separate and 'non-intrusive'. You can initiate the backup by selecting Backup DataStore (File menu), then the desired backup directory when prompted.

You can continue working during file saves without having to re-navigate between main (saved datastore location) and backup directories.

You can designate a unique folder each time a backup occurs when On Select from Menu is exclusively checked (all remaining boxes left un-checked).

You can also navigate to, or create the directory of your choice by clicking the Browse button. Backed up files using this method are also time and date-stamped.


On Open

Clicking this box will allow the program to automatically back up the datastore each time a datastore is opened.


On Program

When checked, a datastore backup will be generated each time any device on the screen is reprogrammed (right-click, Program, or "P" Program button). Since reprogramming always involves changes to the datastore, this is the recommended method of for datastore backup.


On Close

Clicking this box will allow the program to automatically back up the datastore each time the datastore is closed, or another datastore is opened.


Restore Datastore from Backup

File/Restore DataStore from Backup. This allows you to select a specified backup to restore.

It is based on the date and time of the backup. It also indicates which datastore was being used and what operation caused this backup to occur.

Complete the following if you need to restore a datastore from the backup directory:

Re-launch U-CON V4, select Restore DataStore from Backup from the File menu, and select the desired datastore. This will place the selected datastore into the current location.

The following dialog will appear:

Click 'Yes' to allow the datastore to be placed in the indicated location. Note that the datastore has been placed in a default directory, not your own datastore's current location. To place this restore datastore in the directory you previously used, click Save As (File menu) and save the datastore to the desired directory. Overwrite any older version of this datastore if one happens to exist.

At this point the backup datastore now resides in your default directory as the current datastore.


Import All Devices - Config File

This will import encoding from all panels and the SC4 controller and will prompt if this is really what is desired. If not then this action can be performed for each device as desired by right clicking the device and selecting the import encode selection for that device.


Load RMS Device List

Use this feature if you are using an existing SC-3 system and are running RMS software. For additional information, please see Chapter 2, "Loading RMS Files and Importing Spreadsheets".


Export Src/Dest List

Use this menu to manually save the source/destination list to the export file to be used by another program such as SoftPanel 2.


Set Export Src/Dest list Settings

Use this option to setup when export file gets saved and where it is stored. This is typically used during SoftPanel 2 operation and can be used for accessing the Source and Destination tables.

Select the export directory and if you want it to be saved only manually or automatically.


Export Src/Dest CSV File

This will export the source and destination list into a spreadsheet usable file.


Text Editor

Use this to open a text file for adding desired text or notes. Save where ever desired and then open with a text editor such as Notepad or Wordpad.


UCON V4 Help

1, 2, ... command (Window menu)

UCONV4 displays a list of currently open document windows at the bottom of the Window menu. A check mark appears in front of the document name of the active window. Choose a document from this list to make its window active.


UCON V4 Help

Exit command (File menu)

Use this command to end your UCONV4 session. UCONV4 prompts you to save documents with unsaved changes.

Shortcuts
Keys: ALT+F4


UCON V4 Help

New command (File menu)

Use this command to create a new configuration document in UCONV4. This document is a windows document and is not the same as the configuration documents that are formatted for configuring the master controller. It allows the user to work on a configuration, save the results, and return later to complete the process

You can open an existing document with the Open command .

Shortcuts
Keys: CTRL+N


UCON V4 Help

Open command (File menu)

Use this command to open an existing UCONV4 Windows document.

A windows document saves your work as you build a configuration file. It is not the same as configuration files that are specifically formatted for and sent to the master controller. Those files are manipulated with the Retrieve, Send, Export and Import configuration files menu items.

Shortcuts
Keys: CTRL+O


UCON V4 Help

Save As command (File menu)

Use this command to save and name the active document. UCONV4 displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command .


UCON V4 Help

File Save As dialog box

The following options allow you to specify the name and location of the file you're about to save:
File Name
Type a new filename to save a document with a different name. UCONV4 adds the extension you specify in the Save File As Type box.
Drives
Select the drive in which you want to store the document.
Directories
Select the directory in which you want to store the document.
Network...
Choose this button to connect to a network location, assigning it a new drive letter.


UCON V4 Help

Save command (File menu)

Use this command to save the active document to its current name and directory. When you save a document for the first time, UCONV4 displays the
Save As Dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command .

Shortcuts
Keys: CTRL+S